Skip to main content
POST
Create Event

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

timezone
string
required
send_notifications
boolean
default:true
send_sms_confirmation
boolean | null

Body

application/json
organizerId
string
required
start
string<date-time>
required
end
string<date-time>
required
type
enum<string>
required
Available options:
APPOINTMENT,
SHIFT,
BLOCK,
GOOGLE_CALENDAR
title
string | null
locationId
string | null
locationIds
string[] | null
roomId
string | null
attendeeIds
string[] | null
segments
(EventServiceCreate · object | EventBookableSegmentCreate · object | EventPrepSegmentCreate · object | EventCleanupSegmentCreate · object)[] | null

Service segment creation request.

bookableIds
string[] | null
recurringEvent
RecurringEventRequest · object | null

Request schema for recurring events.

Use segments for appointments that need provider assignments per service. Use service_ids for shifts/blocks that don't require provider-specific assignments.

confirmationText
string | null
capacity
integer | null
externalId
string | null
description
string | null
opportunityId
string | null
patientRequestedProvider
boolean | null
isBusinessBlock
boolean | null

Response

Successful Response

events
EventDetail · object[]
required
status
enum<string>
default:success
Available options:
success,
partial_success
googleCalendarFailures
GoogleCalendarSyncFailure · object[]